%define ver_major 0.5
%def_without xine

Name: rhythmbox
Version: %ver_major.88
Release: alt0.5

Summary: Music Management Application
License: GPL
Group: Sound
Url: http://www.rhythmbox.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

Obsoletes: libmonkey-media

%define gtk_ver 2.2.4
%define libgnomeui_ver 2.4.0
%define glade_ver 2.0.1-alt2
%define gstreamer_ver 0.6.4
%define musicbrainz_ver 2.0.0
%define scrollkeeper_ver 0.3.12
%define GConf_ver 2.4.0
%define rpm_ver 4.0.4-alt14
%define gnome_common_ver 2.4.0

PreReq: scrollkeeper >= %scrollkeeper_ver
PreReq: GConf2 >= %GConf_ver
Requires: libgtk+2 >= %gtk_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: libglade2 >= %glade_ver
Requires: libmusicbrainz >= %musicbrainz_ver

%if_without xine
Requires: gstreamer >= %gstreamer_ver
Requires: gstreamer-plugins >= %gstreamer_ver
Requires: gstreamer-gnomevfs >= %gstreamer_ver
Requires: gstreamer-oss >= %gstreamer_ver
Requires: gstreamer-alsa >= %gstreamer_ver
Requires: gstreamer-audio-effects >= %gstreamer_ver
Requires: gstreamer-audio-formats >= %gstreamer_ver
Requires: gstreamer-mad >= %gstreamer_ver
Requires: gstreamer-vorbis >= %gstreamer_ver
Requires: gstreamer-flac >= %gstreamer_ver
%endif

BuildPreReq: rpm >= %rpm_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libglade2-devel >= %glade_ver
BuildPreReq: libmusicbrainz-devel >= %musicbrainz_ver
BuildPreReq: gnome-common >= %gnome_common_ver

%if_without xine
BuildPreReq: gstreamer-devel >= %gstreamer_ver
BuildPreReq: gstreamer-utils >= %gstreamer_ver
BuildPreReq: gstreamer-plugins-devel >= %gstreamer_ver
BuildPreReq: gstreamer-gnomevfs >= %gstreamer_ver
BuildPreReq: gstreamer-oss >= %gstreamer_ver
BuildPreReq: gstreamer-alsa >= %gstreamer_ver
BuildPreReq: gstreamer-audio-effects >= %gstreamer_ver
BuildPreReq: gstreamer-audio-formats >= %gstreamer_ver
BuildPreReq: gstreamer-mad >= %gstreamer_ver
BuildPreReq: gstreamer-vorbis >= %gstreamer_ver
BuildPreReq: gstreamer-flac >= %gstreamer_ver
%endif

# Automatically added by buildreq on Thu Aug 28 2003
#BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs esound-devel fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-control-center gnome-vfs2-devel gstreamer-a52dec gstreamer-aalib gstreamer-alsa gstreamer-artsd gstreamer-audio-effects gstreamer-audio-formats gstreamer-audiofile gstreamer-avi gstreamer-cdparanoia gstreamer-cdplayer gstreamer-colorspace gstreamer-devel gstreamer-dv gstreamer-esd gstreamer-fame gstreamer-ffmpeg gstreamer-flac gstreamer-flx gstreamer-gnomevfs gstreamer-gsm gstreamer-icecast gstreamer-jack gstreamer-jpeg gstreamer-jpegmmx gstreamer-ladspa gstreamer-lame gstreamer-libdvdnav gstreamer-libdvdread gstreamer-libraw1394 gstreamer-mad gstreamer-mikmod gstreamer-mpeg gstreamer-mpeg2dec gstreamer-oss gstreamer-plugins-devel gstreamer-png gstreamer-qcam gstreamer-sdl gstreamer-snapshot gstreamer-swfdec gstreamer-udp gstreamer-utils gstreamer-v4l gstreamer-vcd gstreamer-video-effects gstreamer-videosink gstreamer-videotest gstreamer-visualisation gstreamer-vorbis gstreamer-xvideosink gstreamer-yuv4mjpeg libGConf2-devel libORBit2 libalsa-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libexpat-devel libflac-devel libglade2-devel libgnome-devel libgnomecanvas-devel libgnomedb libgnomeui-devel libgtk+2-devel libid3tag-devel libjpeg-devel libmad libmusicbrainz-devel libogg-devel libpango-devel libpopt-devel libssl-devel libstdc++-devel libvorbis-devel libxml2-devel libxslt nautilus2-cd-burner pkgconfig scrollkeeper zlib-devel
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs esound-devel fontconfig freetype2 gcc-c++
BuildRequires: gcc-g77 glib2-devel gnome-control-center gnome-libs-devel gnome-vfs2-devel
BuildRequires: libGConf2-devel libORBit2 libalsa-devel libart_lgpl-devel libatk-devel
BuildRequires: libaudiofile-devel libbonobo2-devel libbonoboui-devel libexpat-devel libflac-devel
BuildRequires: libglade2-devel libgnome-devel libgnomecanvas-devel libgnomedb libgnomeui-devel
BuildRequires: libgtk+2-devel libid3tag-devel libjpeg-devel liblinc-devel libmad libmusicbrainz-devel
BuildRequires: libogg-devel libpango-devel libpopt-devel libssl-devel libstdc++-devel libvorbis-devel
BuildRequires: libxml2-devel pkgconfig zlib-devel

%description
Music Management application with support for ripping audio-cd's,
playback of Ogg Vorbis and Mp3 and burning of cdroms.

%prep
%setup -q

%build
%configure \
    --disable-schemas-install \
    --disable-gtktreemodelsort-workaround \
    --disable-gtktreeview-workaround \
    --disable-gstreamer-workarounds \
%if_with xine
    --enable-xine
%endif

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# menu
%__mkdir_p %buildroot%_menudir
gnomedesktop2mdkmenu.pl %name "Multimedia/Sound" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

%find_lang --with-gnome %name

%post
%gconf2_install %name
%update_scrollkeeper
%update_menus

%postun
%clean_scrollkeeper
%clean_menus

%files -f %name.lang
%_bindir/*
%_libdir/bonobo/servers/*
%_libdir/bonobo/*.so
%_datadir/%name/*
%_datadir/applications/*
%_datadir/application-registry/*
%_datadir/gnome-2.0/ui/*
%_datadir/idl/*
%_datadir/mime-info/*
%_datadir/pixmaps/*
%_menudir/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog README NEWS THANKS TODO

%changelog
* Mon Oct 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.88-alt0.5
- 0.5.88

* Fri Sep 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.3-alt0.5
- 0.5.3

* Thu Aug 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.2-alt0.5
- 0.5.2

* Wed Aug 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt0.5
- 0.5.1

* Tue Mar 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.1-alt0.5
- First build for Sisyphus.

